Description

See http://commons.gc.cuny.edu/?p=39468

The suggestion is (a) to remove the jQuery timepicker and (b) to replace with three dropdowns: hour, minute, am/pm.

| agree with (a). The timepicker is weird.

| think that (b) is going to be cumbersome, given that there are start and end dates. Other ideas:

1. Use two dropdowns instead. The hour dropdown would somehow contain the am/pm distinction.

2. Use a Google Calendar-inspired option: text-entry field that, when clicked, shows a list of half-hour increments to choose from.

Values that are not on the half-hour can be entered by hand.

| think (2) is pretty elegant, but it's likely/possible that we'd have to build it ourselves. The dropdowns, in contrast, are easy to
implement.

Assigning to Sam for initial thoughts.

History

#1 - 2015-05-12 04:54 PM - Samantha Raddatz
- File 1_Two Dropdowns.jpg added
- File 3_Editable text w Dropdown.png added

1. Use two dropdowns instead. The hour dropdown would somehow contain the am/pm distinction.

Attached is a IRL example of this (1_Two Dropdowns.jpg). Looks a little strange, but clear enough, | think.

2. Use a Google Calendar-inspired option: text-entry field that, when clicked, shows a list of half-hour increments to choose from. Values that are
not on the half-hour can be entered by hand.

This would be awesome/ideal! But it if's cumbersome to create, not a big enough feature to spend too much time on.

I'd like to add an option 3:
Pre-filled text that is editable with a dropdown for AM/PM (see 3_Editable text w dropdown). The colon is static but the numbers on either side can be
edited manually. | think this is more eloquent that option #1 but possibly be harder to create.

| defer to you based on coding-complexity, Boone. Any of the 3 would be cool, with my preference order being 2, 3, 1.

#2 - 2015-05-13 10:08 AM - Boone Gorges
- Status changed from New to Assigned
- Assignee changed from Samantha Raddatz to Raymond Hoh

- Target version changed from Future release to 1.9

http://www.jqueryscript.net/time-clock/Google-Calendar-Like-jQuery-Data-Time-Range-Picker-datepair.html Looks like we can probably steal this for
the Google Calendar option. MIT licensed. Ray, you want to have a look? Again, this is potentially an upstream improvement - my opinion is that it's
much better than what's currently in Event Organiser, but | suppose that's subject to opinion.
#3 - 2015-05-13 12:38 PM - Raymond Hoh

For my reference, this is a link to the source:
https://github.com/jonthornton/Datepair.js

#4 - 2015-11-02 11:56 PM - Raymond Hoh
- Status changed from Assigned to Hold
I've submitted a pull request to the Event Organiser repo with the new Datepair.js / timepicker JS.

Here's what it looks like:
39e77382-81a3-11e5-8ffc-fdf5a2b8e403.gif

Going to set this ticket to "Hold" for now until Event Organiser decides to merge it.

#5 - 2015-11-09 12:28 PM - Boone Gorges

It looks like this is not going to be in EO in time for us to ship it with 1.9. Ray, how modular is it? Is it worth backporting for CAC?

#6 - 2015-11-16 06:41 PM - Raymond Hoh

Is it worth backporting for CAC?
| had to make modifications to the core Event Organiser JS file. So if we were to backport this, we would need to remove EQ's core JS and use an
interim copy of it.
| would say 'no' but | would implement this if the community needed it.

#7 - 2015-11-16 11:06 PM - Boone Gorges

- Target version changed from 1.9 to 1.10

| would say 'no' but | would implement this if the community needed it.

Having glanced over the PR, | suspected the same thing. | just wanted to check :) I'm going to move this to the 2.0 milestone, and we'll move it back
to a minor release once EO 3.0 has been released.

#8 - 2016-10-13 11:58 AM - Boone Gorges
Looks like this improvement got bumped from EQ's next milestone.
| read over the GitHub thread, and it's not clear to me whether Stephen thinks that there are insurmountable problems with the design of jQuery Time

Picker (the 24-hour duration thing), or whether he just thinks it needs to be embedded in a proper Start/End Ul that needs a bit of design
consideration on the EO end.

Ray, do you have a sense of how hard it'll be to restart the conversation on the PR? If it seems like it's going to be a lot of work, can you give me a
sense of how much work it'd be to implement it as a plugin? We might have better luck petitioning for a filter on the function that generates the EO
markup in the short term. Or we might be able to swap out the picker dynamically using JS.

| don't think that this change is so critical that it warrants a huge amount of time to develop workarounds or to push for an upstream improvement. If

you think it's within reach with a few hours' work, I'd say go for it. If you think it's going to take longer, | think we should set it aside until Stephen
decides how/whether he'd like to prioritize the PR for EO.

#9 - 2016-10-24 03:04 AM - Raymond Hoh
- Status changed from Hold to Resolved

For now, I've ensured that our customized version of timepicker is running from BPEO instead of EO (see BPEO commit 498e989.

However, this means we are also forking EO's event.js, so we'll have to keep track of any upstream changes.

This is available for testing on cdev.

#10 - 2016-10-24 10:48 AM - Matt Gold

Paige, Steve, Scott -- can you please test? Thank you
Files

1_Two Dropdowns.jpg 88.2 KB 2015-05-12 Samantha Raddatz
3_Editable text w Dropdown.png 8.48 KB 2015-05-12 Samantha Raddatz
